<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2006 Christoph Hofmann <>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

require_once(PATH_tslib.'class.tslib_pibase.php');


/**
 * Plugin 'ITS Newsticker' for the 'its_newsticker' extension.
 *
 * @author	Christoph Hofmann <>
 * @package	TYPO3
 * @subpackage	tx_itsnewsticker
 */
class tx_itsnewsticker_pi1 extends tslib_pibase {
	var $prefixId = 'tx_itsnewsticker_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_itsnewsticker_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey = 'its_newsticker';	// The extension key.

	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
	function main($content,$conf)	{
		$this->pi_initPIflexForm(); // Init FlexForm configuration for plugin
		$this->conf=$conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
		$this->pi_USER_INT_obj=1;	// Configuring so caching is not expected. This value means that no cHash params are ever set. We do this, because it's a USER_INT object!
		$xhtml = FALSE;
		if ($GLOBALS['TSFE']->config['config']['xhtmlDoctype'])
		{
			$xhtml = TRUE;
		}
		$this->conf["pidList"] = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'pages');
		$this->conf["NewsSingleView"]= $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'page_tt_news_single');


		$this->internal['results_at_a_time'] = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'max_message_number');
		$this->internal['currentTable'] = 'tt_news';
		$this->internal['orderByList']='datetime';
		$this->internal['orderBy'] = 'datetime';
		$this->internal['descFlag'] = 1;
		$res = $this->pi_exec_query('tt_news');
		$singlePid = $this->conf["NewsSingleView"];
		$link1=$this->pi_getPageLink($singlePid ,null,array('tx_ttnews[tt_news]' => 4,)).'';;


		$entries = $this->get_news($res);
		$content.='
<script language="JavaScript" type="text/javascript">';
		if ($xhtml ) { $content.="\n". '/* <![CDATA[ */'; }
		$content.='
	itsnews=new Array()'."\n";
	for ($i=0; $i< count($entries); $i++) {
		$link = ''.$this->pi_getPageLink($singlePid ,null,array('tx_ttnews[tt_news]' => $entries[$i]['1'],)).'';
		if ($entries[$i]['1'] == "") {
			$content.='itsnews['.$i.']= "'. $entries[$i]['0'] .'";'."\n";
		}else{
			$content.='itsnews['.$i.']= "<span class=\"itsnewslinkstyle\"><a href=\"'.$link.'\" >'.$entries[$i]['0'].'<\/a></span>";'."\n";
			//$content.='itsnews['.$i.']= "<span class=\"itsnewslinkstyle\"><a href=\"'.$link.'\" style=\"text-decoration:none;  color: #'.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'txt_color').';\">'.$entries[$i]['0'].'<\/a></span>";'."\n";
		}
	}

		$content.="\n";
		$content.='

function setCSS () {
   document.all.DynText.style.backgroundColor = "yellow";
    document.all.DynText.style.fontSize = "200%";
  document.all.DynText.style.padding = "15px";
}';
if ($xhtml ) { $content.="\n" .'/* ]]> */';	}
$content.='
</script>
			<script language="JavaScript" type="text/javascript">';
		if ($xhtml ) { $content.="\n". '/* <![CDATA[ */'; }
			$content .='
				var linkstyle ="<style type=\"text/css\"><!--.itsnewslinkstyle a {color:'.
				$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'txt_color')
				.';text-decoration:none; font-family:\''.
				$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'font_family')
				.'\'; font-size:'.
				$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'font_size')
				.';}.itsnewslinkstyle a:hover {color:'.
				$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'hover-color')
				.';}--></style>";
				var textcontent = "";
				var i = 0;
				for(i = 0; i <= 15; i++)
				{
					if (itsnews[i]==null)
					{
						break;
					}
					textcontent += itsnews[i] + "<span class=\'x1\'>&nbsp;&nbsp;&nbsp;+&nbsp;+&nbsp;+&nbsp;&nbsp;&nbsp;<\/span>";
				}';
			if ($xhtml ) { $content.="\n" .'/* ]]> */';	}
			$content .='
			</script>


			<table  border="0" style="WIDTH:'.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'table_width').'%;
			ALIGN:'.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'table_align').';" >



				<tr><td id="its_dyntext"';
		if ($this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'border_checkbox') == TRUE) {
			$content.=' style="border:solid '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'border_width').'px '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'border_color').'; background-color: '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'txt_bgcolor').'; color: #'.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'txt_color').'; font: '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'font_size').'pt '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'font_family').';"';
		}else{
			$content.=' style="background-color: #'.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'txt_bgcolor').
			'; color: #'.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'txt_color').
			'; font: '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'font_size').
			'pt '.$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'font_family').'; '.
			'a:hover { font-weight:bold; color:blue; text-decoration:none; }'.
			'"';
		}
		$content.='>
					<script language="javascript" type="text/javascript">';
		if ($xhtml ) { $content.="\n". '/* <![CDATA[ */'; }
		$content.='
						document.open();
						document.write("<marquee scrollamount=\'2\' scrolldelay=\'2\'>");
						document.write(linkstyle);
						document.write(textcontent + textcontent + textcontent + textcontent + textcontent);
						document.close();';
		if ($xhtml ) { $content.="\n" .'/* ]]> */';	}
		$content .='
					</script>
				</td></tr>
			</table>
		';

		return $this->pi_wrapInBaseClass($content);


	}
	/**
	 * Return the news from tt_news
	 *
	 *
	 *
	 *
	 *
	 */
	 function get_news($res1) {
		while($row=mysql_fetch_assoc($res1)) {
			$this->stateCache[$row['uid']]=$row;
			$entry[] = array($row['title'], $row['uid']);
		}
		return $entry;
	 }
}



if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/its_newsticker/pi1/class.tx_itsnewsticker_pi1.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/its_newsticker/pi1/class.tx_itsnewsticker_pi1.php']);
}

?>